libzypp: zypp::target::rpm::RebuildDBReport Struct Reference

libzypp 17.38.14

zypp::target::rpm::RebuildDBReport Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::target::rpm::RebuildDBReport:

## Public Types
enum | Action { ABORT , RETRY , IGNORE }
enum | Error { NO_ERROR , FAILED }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (Pathname)
virtual bool | progress (int, Pathname)
virtual Action | problem (Pathname, Error, const std::string &)
virtual void | finish (Pathname, Error, const std::string &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Definition at line 686 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::target::rpm::RebuildDBReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 688 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::target::rpm::RebuildDBReport::Error

Enumerator
NO_ERROR |
FAILED |

Definition at line 694 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::target::rpm::RebuildDBReport::start | ( | Pathname |  | ) |
| inlinevirtual

Definition at line 699 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::target::rpm::RebuildDBReport::progress | ( | int | ,
|  | Pathname | )
| inlinevirtual

Definition at line 701 of file ZYppCallbacks.h.

## ◆ problem()

virtual Action zypp::target::rpm::RebuildDBReport::problem | ( | Pathname | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 704 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::target::rpm::RebuildDBReport::finish | ( | Pathname | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 710 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h